Bug 112769 - assert GtkSalData::TriggerAllUserEventsProcessed (enable-dbgutil)
Summary: assert GtkSalData::TriggerAllUserEventsProcessed (enable-dbgutil)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Assert
  Show dependency treegraph
 
Reported: 2017-09-30 06:37 UTC by Julien Nabet
Modified: 2017-10-11 18:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (3.66 KB, text/plain)
2017-09-30 06:39 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2017-09-30 06:37:54 UTC
Description:
On pc Debian x86-64 with master sources updated yesterday  + enable-dbgutil + gtk3, I got an assert.

Steps to Reproduce:
1. Open Writer
2. Menu Tools/Options/Writing Aids
3. click edit then close the popup, writing aids and options
4. Repeat 2 and 3

Actual Results:  
Assertion

Expected Results:
no assertion


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Julien Nabet 2017-09-30 06:39:40 UTC
Created attachment 136633 [details]
bt with debug symbols

bt from master sources updated yesterday
commit 1fba529cf2d810bfce1f3fbcad84b6f6805e1405 (HEAD -> master, origin/master, origin/HEAD)
Author: Julien Nabet <serval2412@yahoo.fr>
Date:   Thu Sep 28 22:12:42 2017 +0200

    tdf#112727: crash in chart (transparency related)
Comment 2 Julien Nabet 2017-09-30 06:40:41 UTC
Jan-Marek: noticing https://cgit.freedesktop.org/libreoffice/core/commit/?id=e310c00709ed4fe0788aeff5142e3581d8b4d319, thought you might be interested in this one.
Comment 3 Xisco Faulí 2017-10-02 12:58:29 UTC
Moving to assigned: https://gerrit.libreoffice.org/#/c/43043/
Comment 4 Eike Rathke 2017-10-02 14:48:24 UTC
Related and easier to reproduce:
In Calc enter matrix formula (e.g. ={1,2} close with Shift+Ctrl+Enter), move cell cursor to deselect the result range, F2 on one of the formula cells attempting to edit the formula in a single cell a message box popup appears, Enter or Esc to close => assert. (note: no assert if mouse was used to click Ok)
Comment 5 Commit Notification 2017-10-02 17:58:26 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fc7fb0e78334b926347d85480ad9df00cc1ed1e

tdf#112769 Don't multi-trigger AllEventsProcessed

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2017-10-11 18:37:43 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce this.
Let's put this one to FIXED.

Thank you Jan-Marek!